/*
 * UPIWIN - Micro Pi Windowing Framework Kernel
 * Copyright (C) 2019 Amy Bowersox/Erbosoft Metaverse Design Solutions
 *    
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *    
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *-------------------------------------------------------------------------
 */
#ifndef __EP_UPIWIN_H_INCLUDED
#define __EP_UPIWIN_H_INCLUDED

#define PY_SSIZE_T_CLEAN
#include <Python.h>
#include "wintype.h"

typedef struct tagUPIWIN_STATE {
  BOOL backlight_on;
  UINT32 backlight_level;
} UPIWIN_STATE, *PUPIWIN_STATE;

/* method definitions go here */

/* ep_backlight.c */
extern PyObject *Epython_get_backlight(PyObject *self, PyObject *args);
extern PyObject *Epython_set_backlight(PyObject *self, PyObject *args);
extern PyObject *Epython_get_backlight_level(PyObject *self, PyObject *args);
extern PyObject *Epython_set_backlight_level(PyObject *self, PyObject *args);

/* ep_msg.c */
extern PyObject *Epython_get_message(PyObject *self, PyObject *args);
extern PyObject *Epython_post_quit_message(PyObject *self, PyObject *args);

/* ep_graphics.c */
extern PyObject *Epython_rgb(PyObject *self, PyObject *args);

#endif /* __EP_UPIWIN_H_INCLUDED */
