/*
 * UPIWIN - Micro Pi Windowing Framework Kernel
 * Copyright (C) 2019 Amy Bowersox/Erbosoft Metaverse Design Solutions
 *    
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *    
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *-------------------------------------------------------------------------
 */
#ifndef __MSG_H_INCLUDED
#define __MSG_H_INCLUDED

#include "wintype.h"

#define MSG_ATTRCOUNT 2

typedef struct tagMSG {
  HANDLE target;
  UINT32 message;
  UINT_PTR attrs[MSG_ATTRCOUNT];
  TIMESTAMP timestamp;
} MSG, *PMSG;

#define WM_NULL           0x0000
#define WM_QUIT           0x0001

#define WM_HWBUTTONDOWN   0x0020
#define WM_HWBUTTONUP     0x0021
#define WM_HWBUTTONCLICK  0x0022

#define WM_TOUCHDOWN      0x0030
#define WM_TOUCHMOVE      0x0031
#define WM_TOUCHUP        0x0032
#define WM_TOUCHCLICK     0x0033

#endif /* __MSG_H_INCLUDED */
